Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.serialize
Class SerializerFactoryPE

    java.lang.Object
      net.sf.saxon.lib.SerializerFactory
          com.saxonica.serialize.SerializerFactoryPE

All Implemented Interfaces:
  Serializable

    public class SerializerFactoryPE

extends SerializerFactory

Saxon-PE extensions to the serializer factory

See Also:
  Serialized Form

Constructor Summary
`SerializerFactoryPE(ProfessionalConfiguration config)`

Method Summary
`Receiver` | `addTextOutputFilter(Receiver next, Properties properties)` Add a filter to the text output method pipeline.
`protected Receiver` | `createSaxonSerializationMethod(String method, Properties props, PipelineConfiguration pipe, CharacterMapExpander characterMapExpander, ProxyReceiver normalizer)`
`protected Emitter` | `newHTMLEmitter(Properties properties)` Create a new HTML Emitter.
`protected ProxyReceiver` | `newHTMLIndenter(Receiver next, Properties outputProperties)` Create a new HTML Indenter.
`protected Emitter` | `newXHTMLEmitter(Properties properties)` Create a new XHTML Emitter.
`protected ProxyReceiver` | `newXHTMLIndenter(Receiver next, Properties outputProperties)` Create a new XHTML Indenter.
`protected Emitter` | `newXMLEmitter(Properties properties)` Create a new XML Emitter.
`protected ProxyReceiver` | `newXMLIndenter(XMLEmitter next, Properties outputProperties)` Create a new XML Indenter.
`Result` | `prepareNextStylesheet(Controller controller, String href, String baseURI, Result result)` Prepare another stylesheet to handle the output of this one.

Methods inherited from class net.sf.saxon.lib.SerializerFactory
`createHTMLSerializer, createTextSerializer, createUserDefinedOutputMethod, createXHTMLSerializer, createXMLSerializer, getReceiver, getReceiver, getXMLStreamWriter, newCDATAFilter, newCharacterMapExpander, newContentHandlerProxy, newHTMLMetaTagAdjuster, newHTMLURIEscaper, newTEXTEmitter, newUncommittedSerializer, newUnicodeNormalizer, newXHTMLMetaTagAdjuster, newXHTMLURIEscaper, newXML10ContentChecker`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializerFactoryPE

    public SerializerFactoryPE(ProfessionalConfiguration config)

Method Detail

### createSaxonSerializationMethod

    protected Receiver createSaxonSerializationMethod(String method,
                                                      Properties props,
                                                      PipelineConfiguration pipe,
                                                      CharacterMapExpander characterMapExpander,
                                                      ProxyReceiver normalizer)
                                               throws XPathException

  Overrides:
    `createSaxonSerializationMethod` in class `SerializerFactory`
  Throws:
    `XPathException`

### newHTMLIndenter

    protected ProxyReceiver newHTMLIndenter(Receiver next,
                                            Properties outputProperties)

  Description copied from class: `SerializerFactory`
  Create a new HTML Indenter. This method exists so that it can be overridden in a subclass.

  Overrides:
    `newHTMLIndenter` in class `SerializerFactory`
  Parameters:
    `next` - the next receiver in the pipeline
    `outputProperties` - the serialization parameters
  Returns:
    the newly created HTML indenter.

### newXHTMLIndenter

    protected ProxyReceiver newXHTMLIndenter(Receiver next,
                                             Properties outputProperties)

  Description copied from class: `SerializerFactory`
  Create a new XHTML Indenter. This method exists so that it can be overridden in a subclass.

  Overrides:
    `newXHTMLIndenter` in class `SerializerFactory`
  Parameters:
    `next` - the next receiver in the pipeline
    `outputProperties` - the serialization parameters
  Returns:
    the newly created XHTML indenter.

### newXMLIndenter

    protected ProxyReceiver newXMLIndenter(XMLEmitter next,
                                           Properties outputProperties)

  Description copied from class: `SerializerFactory`
  Create a new XML Indenter. This method exists so that it can be overridden in a subclass.

  Overrides:
    `newXMLIndenter` in class `SerializerFactory`
  Parameters:
    `next` - the next receiver in the pipeline
    `outputProperties` - the serialization parameters
  Returns:
    the newly created XML indenter.

### newXMLEmitter

    protected Emitter newXMLEmitter(Properties properties)

  Description copied from class: `SerializerFactory`
  Create a new XML Emitter. This method exists so that it can be overridden in a subclass.

  Overrides:
    `newXMLEmitter` in class `SerializerFactory`
  Parameters:
    `properties` - the output properties
  Returns:
    the newly created XML emitter.

### newHTMLEmitter

    protected Emitter newHTMLEmitter(Properties properties)

  Description copied from class: `SerializerFactory`
  Create a new HTML Emitter. This method exists so that it can be overridden in a subclass.

  Overrides:
    `newHTMLEmitter` in class `SerializerFactory`
  Parameters:
    `properties` - the output properties
  Returns:
    the newly created HTML emitter.

### newXHTMLEmitter

    protected Emitter newXHTMLEmitter(Properties properties)

  Description copied from class: `SerializerFactory`
  Create a new XHTML Emitter. This method exists so that it can be overridden in a subclass.

  Overrides:
    `newXHTMLEmitter` in class `SerializerFactory`
  Parameters:
    `properties` - the output properties
  Returns:
    the newly created XHTML emitter.

### addTextOutputFilter

    public Receiver addTextOutputFilter(Receiver next,
                                        Properties properties)
                                 throws XPathException

  Add a filter to the text output method pipeline. This does nothing unless overridden in a superclass

  Overrides:
    `addTextOutputFilter` in class `SerializerFactory`
  Parameters:
    `next` - the next receiver (typically the TextEmitter)
    `properties` - the output properties
  Returns:
    the receiver to be used in place of the "next" receiver
  Throws:
    `XPathException`

### prepareNextStylesheet

    public Result prepareNextStylesheet(Controller controller,
                                        String href,
                                        String baseURI,
                                        Result result)
                                 throws TransformerException

  Prepare another stylesheet to handle the output of this one.

  This method is intended for internal use, to support the `saxon:next-in-chain` extension.

  Overrides:
    `prepareNextStylesheet` in class `SerializerFactory`
  Parameters:
    `controller` - the current transformation
    `href` - URI of the next stylesheet to be applied
    `baseURI` - base URI for resolving href if it's a relative URI
    `result` - the output destination of the current stylesheet
  Returns:
    a replacement destination for the current stylesheet
  Throws:
    `XPathException` - if any dynamic error occurs
    `TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.